from sklearn.mixture import BayesianGaussianMixture


class BGMM_sklearn:
    def __init__(self, mngr):
        self.mngr = mngr
        self.bgm = BayesianGaussianMixture(
            n_components=self.mngr.model_learned_representation_n_dim
        )

    def fit(self, X):
        self.bgm.fit(X)

    def get_outlier_scores(self, X):
        self.bgm.score_samples(X)
