TAG_ENC = "enc"
TAG_DEC = "dec"
TAG_PRED = "enc_dec_background_pred"
TAG_WGT = "wgt"
TAG_LOSS = "pred_loss"

TAG_INPUT_ERRORS_UP = "tag_input_errors_up"
TAG_INPUT_ERRORS_DOWN = "tag_input_errors_down"
TAG_MODEL_INPUT_IDS = "tag_model_input_ids"

# first part of the time series of the input data
TAG_INPUT_D0 = "model_input_d0"

# second part of the time series of the input data (potentially contains flare)
TAG_INPUT_D1 = "model_input_d1"

# forecasting of the background over the second part of the input
TAG_BCK_FORECAST_D1_NOOFFSETS = f"{TAG_PRED}_noffsets"

# the input to the autoencoder
TAG_AUTO_ENC_INPUT = "model_auto_enc_input"
TAG_AUTO_ENC_INPUT_BEFORENORM = "model_auto_enc_input_beforenorm"

# hidden representation learned by the autoencoder given
# model_input_d1 and model_bck_forecast_d1
TAG_CLUSTER_SPACE_SAMPLE = "model_auto_enc_hidden"

TAG_CLUSTER_SPACE_MEAN = "cluster_space_mean"
TAG_CLUSTER_SPACE_STD = "cluster_space_std"
TAG_CLUSTER_SPACE_MEAN_NORMED = "cluster_space_mean_normed"

# output of the autoencoder, trained to reconstruct the forcasted background
TAG_AUTO_ENC_RECONSTRUCTION = "model_auto_enc_reconstruction"

TAG_MODEL_FORECASTING_ERROR = "model_forecasting_error"

# the error of the autoencoder reconstruction task
TAG_AUTO_ENC_RECONSTRUCTION_ERROR = "model_auto_enc_reconstruction_error"
TAG_AUTO_ENC_RECONSTRUCTION_ERROR_NORMED = "model_auto_enc_reconstruction_error_normed"

TAG_TEMPORAL_OFFSET = "temporal_offset"

TAG_FLUCTUATION = "fluct"
TAG_PHYSICAL_FLARE = "flare"
TAG_BACKGROUND = "bck"

TAG_CUSTOM_REALISATIONS = "custom_realisations"

TAG_MEDIAN = "MEDIAN"
TAG_UPPERQUANT = "UPPER_QUANT"
TAG_LOWERQUANT = "LOWER_QUANT"

TAG_TS_MEDIAN = TAG_MEDIAN
TAG_TS_UPPERQUANT = TAG_UPPERQUANT
TAG_TS_LOWERQUANT = TAG_LOWERQUANT

TAG_EVT_TYPE = "evt_class"

TAG_SIGNIFICANCE = "significance"

TAG_TS_CLUSTER_SPACE = "ts_calib_cluster_single_mcmc_prob"
TAG_TS_RECO_ERROR = "ts_calib_cluster_single_reco_error"

# The significance column names used for plotting
TAG_SIGNIFICANCE_CLUSTER_SPACE = "significance_calib_cluster_single_mcmc_prob_clip_25"
TAG_SIGNIFICANCE_RECO_ERROR = "significance_calib_cluster_single_reco_err_clip_25"
TAG_SIGNIFICANCE_COMBINED = "significance_calib_step_combo_clip_25"

TAG_BACKGROUND_EVENT_CLASS = "bck_pure"

TAG_INPUT_MASK = "input_mask"
TAG_INPUT_MASK_NONE = "full"
