from pathlib import Path
from typing import Dict

import pandas as pd


def plot_prep_data_inputs(mngr, aggregated_data: Dict[str, pd.DataFrame]):
    tag = ["b", f" - flares.{Path(__file__).stem} - "]

    if not mngr.debug_create_data_prep_plots:
        return

    mngr.log.info([tag, ["y", "plot_prep_data_inputs()"]])
    raise NotImplementedError()
