from trans_finder.flares.plot_list.scenario_highlights import (
    do_plot_scenario_highlights_results,
    plot_highlight_results,
)


def do_performance_by_time_sliding_window_plots(mngr, df_out, plot_output_dir):
    # performance_by_time_sliding_window_plotter = PerformanceBySlidingWindowPlotter()

    for realisation_id in df_out.realisation_id.unique():
        realisation_df = df_out[df_out.realisation_id == realisation_id]

        # performance_by_time_sliding_window_plotter.do_plot(
        #     mngr, realisation_df, realisation_id, plot_output_dir
        # )
        if realisation_id not in mngr.plot_scenario_highlights:
            plot_highlight_results(
                mngr, realisation_df, plot_output_dir, realisation_id
            )

        do_plot_scenario_highlights_results(
            mngr, realisation_df, realisation_id, plot_output_dir
        )


def do_custom_realisation_time_series_plots(mngr, df_out):
    pass
